Subject: Re: [Bier] bier-ietf-bier-use-cases: BUM use-case questions considerations

From: Toerless Eckert <[email-masked]>
Date: Thu, 29 Sep 2016 21:03:59 +0200

Ok, would this be a typial example then:
  - Small-DC: my prior single POD example. 1..4 copies worst.
  - Normal/large DC: Many pods with segmentation points between them.
    #packets ~= 1..4 * #PODs covering the VLAN.

If the segmentation points would actively participate in the BUM solution,
then IMHO we could get rid of those additional copies. Eg: Eg; BIER only inside
PODs, Segmentation points become BUM level forwarders, receiving them as
BFER, and replicating them out to all other necessary PODs BIER domains. 

On Thu, Sep 29, 2016 at 06:03:25PM +0000, Jeffrey (Zhaohui) Zhang wrote:
> Hi Toerless,
> 
> No there is no such assumption.
> 
> W/o segmentation, you may have to send 40 copies to reach just 40 VMs that are scattered sparsely.
> 
> W/ segmentation, you may need just one or a few copy to cover all those in the same ingress pod, and all those in different pods but are reachable via the border routers (segmentation points) in the same ingress pod.
> 
> Jeffrey
> 
> > -----Original Message-----
> > From: Toerless Eckert [mailto:[email-masked]]
> > Sent: Thursday, September 29, 2016 1:52 PM
> > To: Jeffrey (Zhaohui) Zhang <[email-masked]>
> > Cc: Alia Atlas <[email-masked]>; Tony Przygienda <[email-masked]>;
> > Toerless Eckert <[email-masked]>; [email-masked]; draft-ietf-bier-use-
> > [email-masked]
> > Subject: Re: [Bier] draft-ietf-bier-use-cases: BUM use-case questions
> > considerations
> > 
> > Thanks, Jeff
> > 
> > Are you implying that the mayority of EVPN/VXLAN VLANs would have VMs
> > primarily only within a single POD ? Would be nice if the use-case draft
> > could give some reasonable likely example.
> > 
> > Not sure if the following are realistic DC data, but if they wher,
> > then this type of explanation could help to justify BIER for the readers
> > that are like me now cued in that much about DC stats:
> > 
> >   - VMs in VLANs are most commonly spread inside a POD
> >   - PODs likely have 100...1000 TORs
> >   - VLANs can likely spread some 20..80% of TORs.
> > 
> > With numbers like these and BSL 256, BIER would give great replication
> > efficiency - factor 50..200. Worst case 2..4 packets sent. Will never
> > send a packet unnecessary to a TOR - with IP multicast one very likely
> > would end up iwth setups where traffic would unnecessarily be sent to
> > TORs.
> > 
> > etc. pp. Aka: try to figure out the best up-pitch we can describe.
> > 
> > Cheers
> >     Toerless
> > 
> > On Thu, Sep 29, 2016 at 03:07:56PM +0000, Jeffrey (Zhaohui) Zhang wrote:
> > > > which we have the architecture for ...  255 subdomain should give you
> > pretty
> > > good scaling if you exploit the locality on the topology. Inter-
> > subdomain forwarding
> > > is a different issue outside BIER scope for the moment I'd say ...
> > >
> > > Provider tunnel segmentation already specified for MVPN and has been
> > proposed for EVPN (https://tools.ietf.org/html/draft-zzhang-bess-evpn-bum-
> > procedure-updates-03#section-6).
> > >
> > > Here each segmentation region would be a BIER sub-domain, corresponding
> > to a pod.
> > >
> > > Jeffrey
> > >
> > >
> > > From: BIER [mailto:[email-masked]] On Behalf Of Alia Atlas
> > > Sent: Thursday, September 29, 2016 9:39 AM
> > > To: Tony Przygienda <[email-masked]>
> > > Cc: Toerless Eckert <[email-masked]>; [email-masked]; draft-ietf-
> > [email-masked]
> > > Subject: Re: [Bier] draft-ietf-bier-use-cases: BUM use-case questions
> > considerations
> > >
> > > A point of VXLAN and other NVO3 encapsulations is that there is a
> > virtual network (L2 in the case of BUM being interesting) that is being
> > emulated.  That means that the BUM traffic is sent to the other VMs in the
> > same VNI - which should be significantly lower than all of the VMs in the
> > data-center.
> > >
> > > Of course, many data-centers are L3 based and many may still not be
> > virtualized.
> > >
> > > Regards,
> > > Alia
> > >
> > > On Wed, Sep 28, 2016 at 10:54 PM, Tony Przygienda
> > <[email-masked]<mailto:[email-masked]>> wrote:
> > >
> > >
> > > On Wed, Sep 28, 2016 at 6:47 PM, Toerless Eckert
> > <[email-masked]<mailto:[email-masked]>> wrote:
> > > During the BIER interim, we discussed the VXLAM BUM use case for BIER.
> > > This would be similar to the EVPN use-case mentioned in the use-case
> > draft.
> > >
> > > Q: Should VXLAN be added beside EVPN to the use case draft ?
> > >
> > > IMO yes ...
> > >
> > >
> > > Q: I haven't tried to read up on EVPN in detail: Is EVPN always
> > > "broadcasting" Unknown packets ? Isn't there a signaling option as well ?
> > >
> > > it does for BU_, for multicast a solution is currently worked on.
> > Overlay signaling for EVPN multicast with BIER has already been proposed.
> > >
> > >
> > > Ask: If would be great if the description of the use-case would consider
> > > example scale considerations, eg: Can we predict if, and how efficient
> > > BIER would be ?
> > >
> > > There are numbers I saw from providers but I'm not free to disclose them.
> > They looked pretty impressive @ 256 bit mask.
> > >
> > >
> > > That efficiency is somrthin i am mostly worried about:
> > >
> > > - Data centers may have as much as 10,000 TORs. Which i guess would be
> > >   the BFER. 256 BitString length == 40 SIs. Aka: Worst case, if i have
> > >   randomn allocation of 10,000 BFR-IDs, i would need to send up to
> > >   40 BIER packets for a BUM packet.
> > >
> > > 40 copies to serve 10K destinations is  99.6% compression rate. Your
> > complaint being?
> > >
> > > - Would VLANs have randomnly distributed VMs associated with them ?
> > >   If not, eg: if they would stay usually within smaller PODs, that would
> > >   be good to describe in the use-case text.
> > > - Would i achieve better replication efficiency if i would start
> > >   to plan the bits more, eg: instead of SI use subdomains for PODs or
> > >   the like...
> > >
> > > which we have the architecture for ...  255 subdomain should give you
> > pretty
> > > good scaling if you exploit the locality on the topology. Inter-
> > subdomain forwarding
> > > is a different issue outside BIER scope for the moment I'd say ...
> > >
> > > -- tony